netatalk: spectest.c File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
spectest.c File Reference
`#include <dlfcn.h>`
`#include <getopt.h>`
`#include "afpclient.h"`
`#include "afpcmd.h"`
`#include "afphelper.h"`
`#include "testhelper.h"`

## Data Structures
struct | test_fn

## Macros
#define | FN(a)
#define | EXT_FN(a)
#define | FN_N(a)

## Functions
| EXT_FN (FPAddAPPL)
| EXT_FN (FPAddComment)
| EXT_FN (FPAddIcon)
| EXT_FN (FPByteRangeLock)
| EXT_FN (FPByteRangeLockExt)
| EXT_FN (FPCatSearch)
| EXT_FN (FPCatSearchExt)
| EXT_FN (FPCloseDir)
| EXT_FN (FPCloseDT)
| EXT_FN (FPCloseFork)
| EXT_FN (FPCloseVol)
| EXT_FN (FPCopyFile)
| EXT_FN (FPCreateDir)
| EXT_FN (FPCreateFile)
| EXT_FN (FPDelete)
| EXT_FN (FPDisconnectOldSession)
| EXT_FN (FPEnumerate)
| EXT_FN (FPEnumerateExt)
| EXT_FN (FPEnumerateExt2)
| EXT_FN (FPExchangeFiles)
| EXT_FN (FPFlush)
| EXT_FN (FPFlushFork)
| EXT_FN (FPGetACL)
| EXT_FN (FPSetACL)
| EXT_FN (FPGetAPPL)
| EXT_FN (FPGetComment)
| EXT_FN (FPGetExtAttr)
| EXT_FN (FPGetFileDirParms)
| EXT_FN (FPGetSessionToken)
| EXT_FN (FPGetSrvrInfo)
| EXT_FN (FPGetSrvrMsg)
| EXT_FN (FPGetSrvrParms)
| EXT_FN (FPGetForkParms)
| EXT_FN (FPGetIcon)
| EXT_FN (FPGetIconInfo)
| EXT_FN (FPGetUserInfo)
| EXT_FN (FPGetVolParms)
| EXT_FN (FPMapID)
| EXT_FN (FPMapName)
| EXT_FN (FPMoveAndRename)
| EXT_FN (FPOpenDir)
| EXT_FN (FPOpenDT)
| EXT_FN (FPOpenFork)
| EXT_FN (FPOpenVol)
| EXT_FN (FPRead)
| EXT_FN (FPReadExt)
| EXT_FN (FPRemoveAPPL)
| EXT_FN (FPRemoveComment)
| EXT_FN (FPRename)
| EXT_FN (FPResolveID)
| EXT_FN (FPSetDirParms)
| EXT_FN (FPSetFileDirParms)
| EXT_FN (FPSetFileParms)
| EXT_FN (FPSetForkParms)
| EXT_FN (FPSetVolParms)
| EXT_FN (FPSync)
| EXT_FN (FPWrite)
| EXT_FN (FPWriteExt)
| EXT_FN (FPzzz)
| EXT_FN (T2FPByteRangeLock)
| EXT_FN (T2FPCopyFile)
| EXT_FN (T2FPCreateFile)
| EXT_FN (T2FPDelete)
| EXT_FN (T2FPGetFileDirParms)
| EXT_FN (T2FPGetSrvrParms)
| EXT_FN (T2FPGetVolParms)
| EXT_FN (T2FPMoveAndRename)
| EXT_FN (T2FPOpenFork)
| EXT_FN (T2FPSetDirParms)
| EXT_FN (T2FPSetFileParms)
| EXT_FN (T2FPResolveID)
| EXT_FN (T2FPRead)
| EXT_FN (T2FPSetForkParms)
| EXT_FN (Dircache_attack)
| EXT_FN (Encoding)
| EXT_FN (Error)
| EXT_FN (Readonly)
| EXT_FN (Utf8)
static void | press_enter (char *s)
static void | list_tests (void)
static void | run_one (char *name)
static void | run_all ()
void | usage (char *av0)
int | main (int ac, char **av)

## Variables
uint16_t | VolID
static DSI * | dsi
CONN * | Conn
CONN * | Conn2
int | ExitCode = 0
int | PassCount = 0
int | FailCount = 0
int | SkipCount = 0
int | NotTestedCount = 0
char | FailedTests [1024][256] = {{0}}
char | NotTestedTests [1024][256] = {{0}}
char | SkippedTests [1024][256] = {{0}}
static struct test_fn | Test_list []
DSI * | Dsi
DSI * | Dsi2
char | Data [300000] = ""
char * | Server = "localhost"
char * | Server2
int | Port = DSI_AFPOVERTCP_PORT
char * | Password = ""
char * | Vol = ""
char * | Vol2 = ""
char * | User
char * | User2
char * | Path = ""
int | Version = 34
int | List = 0
int | Mac = 0
char * | Test
int | Locking
int | EmptyVol = 0
enum ad_format | adouble = AD_EA
char * | vers = "AFP3.4"
char * | uam = "Cleartxt Passwrd"

## Macro Definition Documentation

## ◆ EXT_FN

#define EXT_FN | ( |  | a | ) |

Value:
extern void FN(a) (void)
FN
#define FN(a)
Definition afparg.c:10

## ◆ FN

#define FN | ( |  | a | ) |

Value:
a ## _test

## ◆ FN_N

#define FN_N | ( |  | a | ) |

Value:
{ # a , FN(a) },

## Function Documentation

## ◆ EXT_FN() [1/78]

EXT_FN | ( | Dircache_attack |  | ) |

## ◆ EXT_FN() [2/78]

EXT_FN | ( | Encoding |  | ) |

## ◆ EXT_FN() [3/78]

EXT_FN | ( | Error |  | ) |

## ◆ EXT_FN() [4/78]

EXT_FN | ( | FPAddAPPL |  | ) |

## ◆ EXT_FN() [5/78]

EXT_FN | ( | FPAddComment |  | ) |

## ◆ EXT_FN() [6/78]

EXT_FN | ( | FPAddIcon |  | ) |

## ◆ EXT_FN() [7/78]

EXT_FN | ( | FPByteRangeLock |  | ) |

## ◆ EXT_FN() [8/78]

EXT_FN | ( | FPByteRangeLockExt |  | ) |

## ◆ EXT_FN() [9/78]

EXT_FN | ( | FPCatSearch |  | ) |

## ◆ EXT_FN() [10/78]

EXT_FN | ( | FPCatSearchExt |  | ) |

## ◆ EXT_FN() [11/78]

EXT_FN | ( | FPCloseDir |  | ) |

## ◆ EXT_FN() [12/78]

EXT_FN | ( | FPCloseDT |  | ) |

## ◆ EXT_FN() [13/78]

EXT_FN | ( | FPCloseFork |  | ) |

## ◆ EXT_FN() [14/78]

EXT_FN | ( | FPCloseVol |  | ) |

## ◆ EXT_FN() [15/78]

EXT_FN | ( | FPCopyFile |  | ) |

## ◆ EXT_FN() [16/78]

EXT_FN | ( | FPCreateDir |  | ) |

## ◆ EXT_FN() [17/78]

EXT_FN | ( | FPCreateFile |  | ) |

## ◆ EXT_FN() [18/78]

EXT_FN | ( | FPDelete |  | ) |

## ◆ EXT_FN() [19/78]

EXT_FN | ( | FPDisconnectOldSession |  | ) |

## ◆ EXT_FN() [20/78]

EXT_FN | ( | FPEnumerate |  | ) |

## ◆ EXT_FN() [21/78]

EXT_FN | ( | FPEnumerateExt |  | ) |

## ◆ EXT_FN() [22/78]

EXT_FN | ( | FPEnumerateExt2 |  | ) |

## ◆ EXT_FN() [23/78]

EXT_FN | ( | FPExchangeFiles |  | ) |

## ◆ EXT_FN() [24/78]

EXT_FN | ( | FPFlush |  | ) |

## ◆ EXT_FN() [25/78]

EXT_FN | ( | FPFlushFork |  | ) |

## ◆ EXT_FN() [26/78]

EXT_FN | ( | FPGetACL |  | ) |

## ◆ EXT_FN() [27/78]

EXT_FN | ( | FPGetAPPL |  | ) |

## ◆ EXT_FN() [28/78]

EXT_FN | ( | FPGetComment |  | ) |

## ◆ EXT_FN() [29/78]

EXT_FN | ( | FPGetExtAttr |  | ) |

## ◆ EXT_FN() [30/78]

EXT_FN | ( | FPGetFileDirParms |  | ) |

## ◆ EXT_FN() [31/78]

EXT_FN | ( | FPGetForkParms |  | ) |

## ◆ EXT_FN() [32/78]

EXT_FN | ( | FPGetIcon |  | ) |

## ◆ EXT_FN() [33/78]

EXT_FN | ( | FPGetIconInfo |  | ) |

## ◆ EXT_FN() [34/78]

EXT_FN | ( | FPGetSessionToken |  | ) |

## ◆ EXT_FN() [35/78]

EXT_FN | ( | FPGetSrvrInfo |  | ) |

## ◆ EXT_FN() [36/78]

EXT_FN | ( | FPGetSrvrMsg |  | ) |

## ◆ EXT_FN() [37/78]

EXT_FN | ( | FPGetSrvrParms |  | ) |

## ◆ EXT_FN() [38/78]

EXT_FN | ( | FPGetUserInfo |  | ) |

## ◆ EXT_FN() [39/78]

EXT_FN | ( | FPGetVolParms |  | ) |

## ◆ EXT_FN() [40/78]

EXT_FN | ( | FPMapID |  | ) |

## ◆ EXT_FN() [41/78]

EXT_FN | ( | FPMapName |  | ) |

## ◆ EXT_FN() [42/78]

EXT_FN | ( | FPMoveAndRename |  | ) |

## ◆ EXT_FN() [43/78]

EXT_FN | ( | FPOpenDir |  | ) |

## ◆ EXT_FN() [44/78]

EXT_FN | ( | FPOpenDT |  | ) |

## ◆ EXT_FN() [45/78]

EXT_FN | ( | FPOpenFork |  | ) |

## ◆ EXT_FN() [46/78]

EXT_FN | ( | FPOpenVol |  | ) |

## ◆ EXT_FN() [47/78]

EXT_FN | ( | FPRead |  | ) |

## ◆ EXT_FN() [48/78]

EXT_FN | ( | FPReadExt |  | ) |

## ◆ EXT_FN() [49/78]

EXT_FN | ( | FPRemoveAPPL |  | ) |

## ◆ EXT_FN() [50/78]

EXT_FN | ( | FPRemoveComment |  | ) |

## ◆ EXT_FN() [51/78]

EXT_FN | ( | FPRename |  | ) |

## ◆ EXT_FN() [52/78]

EXT_FN | ( | FPResolveID |  | ) |

## ◆ EXT_FN() [53/78]

EXT_FN | ( | FPSetACL |  | ) |

## ◆ EXT_FN() [54/78]

EXT_FN | ( | FPSetDirParms |  | ) |

## ◆ EXT_FN() [55/78]

EXT_FN | ( | FPSetFileDirParms |  | ) |

## ◆ EXT_FN() [56/78]

EXT_FN | ( | FPSetFileParms |  | ) |

## ◆ EXT_FN() [57/78]

EXT_FN | ( | FPSetForkParms |  | ) |

## ◆ EXT_FN() [58/78]

EXT_FN | ( | FPSetVolParms |  | ) |

## ◆ EXT_FN() [59/78]

EXT_FN | ( | FPSync |  | ) |

## ◆ EXT_FN() [60/78]

EXT_FN | ( | FPWrite |  | ) |

## ◆ EXT_FN() [61/78]

EXT_FN | ( | FPWriteExt |  | ) |

## ◆ EXT_FN() [62/78]

EXT_FN | ( | FPzzz |  | ) |

## ◆ EXT_FN() [63/78]

EXT_FN | ( | Readonly |  | ) |

## ◆ EXT_FN() [64/78]

EXT_FN | ( | T2FPByteRangeLock |  | ) |

## ◆ EXT_FN() [65/78]

EXT_FN | ( | T2FPCopyFile |  | ) |

## ◆ EXT_FN() [66/78]

EXT_FN | ( | T2FPCreateFile |  | ) |

## ◆ EXT_FN() [67/78]

EXT_FN | ( | T2FPDelete |  | ) |

## ◆ EXT_FN() [68/78]

EXT_FN | ( | T2FPGetFileDirParms |  | ) |

## ◆ EXT_FN() [69/78]

EXT_FN | ( | T2FPGetSrvrParms |  | ) |

## ◆ EXT_FN() [70/78]

EXT_FN | ( | T2FPGetVolParms |  | ) |

## ◆ EXT_FN() [71/78]

EXT_FN | ( | T2FPMoveAndRename |  | ) |

## ◆ EXT_FN() [72/78]

EXT_FN | ( | T2FPOpenFork |  | ) |

## ◆ EXT_FN() [73/78]

EXT_FN | ( | T2FPRead |  | ) |

## ◆ EXT_FN() [74/78]

EXT_FN | ( | T2FPResolveID |  | ) |

## ◆ EXT_FN() [75/78]

EXT_FN | ( | T2FPSetDirParms |  | ) |

## ◆ EXT_FN() [76/78]

EXT_FN | ( | T2FPSetFileParms |  | ) |

## ◆ EXT_FN() [77/78]

EXT_FN | ( | T2FPSetForkParms |  | ) |

## ◆ EXT_FN() [78/78]

EXT_FN | ( | Utf8 |  | ) |

## ◆ list_tests()

void list_tests | ( | void |  | ) |
| static

## ◆ main()

int main | ( | int | ac,
|  | char ** | av )

## ◆ press_enter()

void press_enter | ( | char * | s | ) |
| static

## ◆ run_all()

void run_all | ( |  | ) |
| static

## ◆ run_one()

void run_one | ( | char * | name | ) |
| static

## ◆ usage()

void usage | ( | char * | av0 | ) |

## Variable Documentation

## ◆ adouble

enum ad_format adouble = AD_EA

## ◆ Conn

CONN* Conn

## ◆ Conn2

CONN* Conn2

## ◆ Data

char Data[300000] = ""

## ◆ Dsi

DSI* Dsi

## ◆ dsi

DSI* dsi
| static

## ◆ Dsi2

DSI * Dsi2

## ◆ EmptyVol

int EmptyVol = 0

## ◆ ExitCode

int ExitCode = 0

## ◆ FailCount

int FailCount = 0

## ◆ FailedTests

char FailedTests[1024][256] = {{0}}

## ◆ List

int List = 0

## ◆ Locking

int Locking

## ◆ Mac

int Mac = 0

## ◆ NotTestedCount

int NotTestedCount = 0

## ◆ NotTestedTests

char NotTestedTests[1024][256] = {{0}}

## ◆ PassCount

int PassCount = 0

## ◆ Password

char* Password = ""

## ◆ Path

char* Path = ""

## ◆ Port

int Port = DSI_AFPOVERTCP_PORT

## ◆ Server

char* Server = "localhost"

## ◆ Server2

char* Server2

## ◆ SkipCount

int SkipCount = 0

## ◆ SkippedTests

char SkippedTests[1024][256] = {{0}}

## ◆ Test

char* Test

## ◆ Test_list

struct test_fn Test_list[]
| static

## ◆ uam

char* uam = "Cleartxt Passwrd"

## ◆ User

char* User

## ◆ User2

char* User2

## ◆ vers

char* vers = "AFP3.4"

## ◆ Version

int Version = 34

## ◆ Vol

char* Vol = ""

## ◆ Vol2

char* Vol2 = ""

## ◆ VolID

uint16_t VolID